summaryrefslogtreecommitdiffstats
path: root/test/testgen
diff options
context:
space:
mode:
authorRich Salz <rsalz@openssl.org>2015-04-10 10:06:17 -0400
committerRich Salz <rsalz@openssl.org>2015-04-10 10:06:17 -0400
commit30f54ad295d58ff8c6d28c1fd612d23c2c343d19 (patch)
treef740e39be9698b13d0f0a088903b236988aeb075 /test/testgen
parent2cfdfe0918f03f8323c9523a2beb2b363ae86ca7 (diff)
test script cleanup
Removed commented-out tests Standardize on doing cmd ... || exit 1 instead of cmd ... if [ $? != 0] ; then exit 1 fi where that if statement has ben one, three, or four lines, variously. Reviewed-by: Richard Levitte <levitte@openssl.org>
Diffstat (limited to 'test/testgen')
-rw-r--r--test/testgen18
1 files changed, 5 insertions, 13 deletions
diff --git a/test/testgen b/test/testgen
index ed53b4a5af..f4eb112232 100644
--- a/test/testgen
+++ b/test/testgen
@@ -18,7 +18,7 @@ echo "generating certificate request"
echo "string to make the random number generator think it has entropy" >> ./.rnd
-if ../util/shlib_wrap.sh ../apps/openssl no-rsa; then
+if ../util/shlib_wrap.sh ../apps/openssl no-rsa >/dev/null; then
req_new='-newkey dsa:../apps/dsa512.pem'
else
req_new='-new'
@@ -26,20 +26,12 @@ else
echo "There should not be more that at most 80 per line"
fi
-echo "This could take some time."
-
rm -f testkey.pem testreq.pem
-../util/shlib_wrap.sh ../apps/openssl req -config test.cnf $req_new -out testreq.pem
-if [ $? != 0 ]; then
-echo problems creating request
-exit 1
-fi
+echo Generating request
+../util/shlib_wrap.sh ../apps/openssl req -config test.cnf $req_new -out testreq.pem || exit 1
-../util/shlib_wrap.sh ../apps/openssl req -config test.cnf -verify -in testreq.pem -noout
-if [ $? != 0 ]; then
-echo signature on req is wrong
-exit 1
-fi
+echo Verifying signature on request
+../util/shlib_wrap.sh ../apps/openssl req -config test.cnf -verify -in testreq.pem -noout || exit 1
exit 0